Family complicated ... Coding and Husbend-ing is IMPOSSIBLE !

On a Python-3 prompt:

>>> help('modules')

>>> import mastermind

>>> import pkg_resources

>>> pkg_resources.get_distribution("tcpclientserver").version
'1.0.0'
>>> 

>>> pkg_resources.get_distribution("mastermind").version

>>> pkg_resources.get_distribution("mastermind").version
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 481, in get_distribution
    dist = get_provider(dist)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 357, in get_provider
    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'mastermind' distribution was not found and is required by the application
>>> 

fixed 

also fixed a few more.

also fixed this:

t@2c62f76505d2:/usr/bin# ./datacollector-demoExternalConfig 
Traceback (most recent call last):
  File "./datacollector-demoExternalConfig", line 11, in <module>
    load_entry_point('datacollector==1.0.0', 'console_scripts', 'datacollector-demoExternalConfig')()
  File "/usr/lib/python3.7/site-packages/datacollector/main.py", line 11, in run_externalConfigurationDemo
    from datacollector.external_configuration import FileConfigurator
  File "/usr/lib/python3.7/site-packages/datacollector/external_configuration.py", line 6, in <module>
    from datacollector.mqttbroker_config_data import MQTTBrokerConfigData 
ModuleNotFoundError: No module named 'datacollector.mqttbroker_config_data'
root@2c62f76505d2:/usr/bin# 

-----------

now:

root@2c62f76505d2:/usr/bin# ./datacollector
Traceback (most recent call last):
  File "./datacollector", line 11, in <module>
    load_entry_point('datacollector==1.0.0', 'console_scripts', 'datacollector')()
TypeError: main() missing 2 required positional arguments: 'redismq_config_data' and 'nmapagent_config_data'
root@2c62f76505d2:/usr/bin#

@@@TODO: I see printouts on the console which are not in the logfile??????

I hope Miltos fixed those in the meantime!

Nore changes from Miltos ... AGAINST Linux Clistophobia ... 


